author: Lennert Buytenhek <buytenh@wantstofly.org>

Add support for EABI ARM platforms to Qt

--- a/src/tools/qglobal.h
+++ b/src/tools/qglobal.h
@@ -318,7 +318,7 @@
    QString bloat. However, gcc 3.4 doesn't allow us to create references to
    members of a packed struct. (Pointers are OK, because then you
    supposedly know what you are doing.) */
-#  if (defined(__arm__) || defined(__ARMEL__)) && !defined(QT_MOC_CPP)
+#  if (defined(__arm__) || defined(__ARMEL__)) && !defined(__ARM_EABI__) && !defined(QT_MOC_CPP)
 #    define Q_PACKED __attribute__ ((packed))
 #    if __GNUC__ == 3 && __GNUC_MINOR__ >= 4 || __GNUC__ > 3
 #      define Q_NO_PACKED_REFERENCE
